//////////////////////////////////////////////////////////
//   This class has been automatically generated 
//     (Thu May 10 23:08:16 2001 by ROOT version3.01/00)
//   from TTree T/An example of a ROOT tree
//   found on file: Event.root
//////////////////////////////////////////////////////////


#ifndef T_h
#define T_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
   const Int_t kMaxfTracks = 611;

class T {
   public :
   TTree          *fChain;   //pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //current Tree number in a TChain
//Declaration of leaves types
   UInt_t          fUniqueID;
   UInt_t          fBits;
   Char_t          fType[20];
   Int_t           fNtrack;
   Int_t           fNseg;
   Int_t           fNvertex;
   UInt_t          fFlag;
   Float_t         fTemperature;
   Int_t           fEvtHdr_fEvtNum;
   Int_t           fEvtHdr_fRun;
   Int_t           fEvtHdr_fDate;
   Int_t           fTracks_;
   Float_t         fTracks_fPx[kMaxfTracks];
   Float_t         fTracks_fPy[kMaxfTracks];
   Float_t         fTracks_fPz[kMaxfTracks];
   Float_t         fTracks_fRandom[kMaxfTracks];
   Float_t         fTracks_fMass2[kMaxfTracks];
   Float_t         fTracks_fBx[kMaxfTracks];
   Float_t         fTracks_fBy[kMaxfTracks];
   Float_t         fTracks_fMeanCharge[kMaxfTracks];
   Float_t         fTracks_fXfirst[kMaxfTracks];
   Float_t         fTracks_fXlast[kMaxfTracks];
   Float_t         fTracks_fYfirst[kMaxfTracks];
   Float_t         fTracks_fYlast[kMaxfTracks];
   Float_t         fTracks_fZfirst[kMaxfTracks];
   Float_t         fTracks_fZlast[kMaxfTracks];
   Float_t         fTracks_fCharge[kMaxfTracks];
   Float_t         fTracks_fVertex[kMaxfTracks][3];
   Int_t           fTracks_fNpoint[kMaxfTracks];
   Short_t         fTracks_fValid[kMaxfTracks];
   Int_t           fMeasures[10];
   Float_t         fMatrix[4][4];
   Float_t         fClosestDistance[20];

//List of branches
   TBranch        *b_fUniqueID;
   TBranch        *b_fBits;
   TBranch        *b_fType;
   TBranch        *b_fNtrack;
   TBranch        *b_fNseg;
   TBranch        *b_fNvertex;
   TBranch        *b_fFlag;
   TBranch        *b_fTemperature;
   TBranch        *b_fEvtHdr_fEvtNum;
   TBranch        *b_fEvtHdr_fRun;
   TBranch        *b_fEvtHdr_fDate;
   TBranch        *b_fTracks;
   TBranch        *b_fTracks_fPx;
   TBranch        *b_fTracks_fPy;
   TBranch        *b_fTracks_fPz;
   TBranch        *b_fTracks_fRandom;
   TBranch        *b_fTracks_fMass2;
   TBranch        *b_fTracks_fBx;
   TBranch        *b_fTracks_fBy;
   TBranch        *b_fTracks_fMeanCharge;
   TBranch        *b_fTracks_fXfirst;
   TBranch        *b_fTracks_fXlast;
   TBranch        *b_fTracks_fYfirst;
   TBranch        *b_fTracks_fYlast;
   TBranch        *b_fTracks_fZfirst;
   TBranch        *b_fTracks_fZlast;
   TBranch        *b_fTracks_fCharge;
   TBranch        *b_fTracks_fVertex;
   TBranch        *b_fTracks_fNpoint;
   TBranch        *b_fTracks_fValid;
   TBranch        *b_fMeasures;
   TBranch        *b_fMatrix;
   TBranch        *b_fClosestDistance;

   T(TTree *tree=0);
   ~T();
   Int_t  Cut(Int_t entry);
   Int_t  GetEntry(Int_t entry);
   Int_t  LoadTree(Int_t entry);
   void   Init(TTree *tree);
   void   Loop();
   Bool_t Notify();
   void   Show(Int_t entry = -1);
};

#endif

#ifdef T_cxx
T::T(TTree *tree)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("Event.root");
      if (!f) {
         f = new TFile("Event.root");
      }
      tree = (TTree*)gDirectory->Get("T");

   }
   Init(tree);
}

T::~T()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t T::GetEntry(Int_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Int_t T::LoadTree(Int_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Int_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->IsA() != TChain::Class()) return centry;
   TChain *chain = (TChain*)fChain;
   if (chain->GetTreeNumber() != fCurrent) {
      fCurrent = chain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void T::Init(TTree *tree)
{
//   Set branch addresses
   if (tree == 0) return;
   fChain    = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("fUniqueID",&fUniqueID);
   fChain->SetBranchAddress("fBits",&fBits);
   fChain->SetBranchAddress("fType[20]",&fType);
   fChain->SetBranchAddress("fNtrack",&fNtrack);
   fChain->SetBranchAddress("fNseg",&fNseg);
   fChain->SetBranchAddress("fNvertex",&fNvertex);
   fChain->SetBranchAddress("fFlag",&fFlag);
   fChain->SetBranchAddress("fTemperature",&fTemperature);
   fChain->SetBranchAddress("fEvtHdr.fEvtNum",&fEvtHdr_fEvtNum);
   fChain->SetBranchAddress("fEvtHdr.fRun",&fEvtHdr_fRun);
   fChain->SetBranchAddress("fEvtHdr.fDate",&fEvtHdr_fDate);
   fChain->SetBranchAddress("fTracks",&fTracks_);
   fChain->SetBranchAddress("fTracks.fPx",fTracks_fPx);
   fChain->SetBranchAddress("fTracks.fPy",fTracks_fPy);
   fChain->SetBranchAddress("fTracks.fPz",fTracks_fPz);
   fChain->SetBranchAddress("fTracks.fRandom",fTracks_fRandom);
   fChain->SetBranchAddress("fTracks.fMass2",fTracks_fMass2);
   fChain->SetBranchAddress("fTracks.fBx",fTracks_fBx);
   fChain->SetBranchAddress("fTracks.fBy",fTracks_fBy);
   fChain->SetBranchAddress("fTracks.fMeanCharge",fTracks_fMeanCharge);
   fChain->SetBranchAddress("fTracks.fXfirst",fTracks_fXfirst);
   fChain->SetBranchAddress("fTracks.fXlast",fTracks_fXlast);
   fChain->SetBranchAddress("fTracks.fYfirst",fTracks_fYfirst);
   fChain->SetBranchAddress("fTracks.fYlast",fTracks_fYlast);
   fChain->SetBranchAddress("fTracks.fZfirst",fTracks_fZfirst);
   fChain->SetBranchAddress("fTracks.fZlast",fTracks_fZlast);
   fChain->SetBranchAddress("fTracks.fCharge",fTracks_fCharge);
   fChain->SetBranchAddress("fTracks.fVertex[3]",fTracks_fVertex);
   fChain->SetBranchAddress("fTracks.fNpoint",fTracks_fNpoint);
   fChain->SetBranchAddress("fTracks.fValid",fTracks_fValid);
   fChain->SetBranchAddress("fMeasures[10]",&fMeasures);
   fChain->SetBranchAddress("fMatrix[4][4]",&fMatrix);
   fChain->SetBranchAddress("fClosestDistance",fClosestDistance);
   Notify();
}

Bool_t T::Notify()
{
//   called when loading a new file
//   get branch pointers
   b_fUniqueID = fChain->GetBranch("fUniqueID");
   b_fBits = fChain->GetBranch("fBits");
   b_fType = fChain->GetBranch("fType[20]");
   b_fNtrack = fChain->GetBranch("fNtrack");
   b_fNseg = fChain->GetBranch("fNseg");
   b_fNvertex = fChain->GetBranch("fNvertex");
   b_fFlag = fChain->GetBranch("fFlag");
   b_fTemperature = fChain->GetBranch("fTemperature");
   b_fEvtHdr_fEvtNum = fChain->GetBranch("fEvtHdr.fEvtNum");
   b_fEvtHdr_fRun = fChain->GetBranch("fEvtHdr.fRun");
   b_fEvtHdr_fDate = fChain->GetBranch("fEvtHdr.fDate");
   b_fTracks = fChain->GetBranch("fTracks");
   b_fTracks_fPx = fChain->GetBranch("fTracks.fPx");
   b_fTracks_fPy = fChain->GetBranch("fTracks.fPy");
   b_fTracks_fPz = fChain->GetBranch("fTracks.fPz");
   b_fTracks_fRandom = fChain->GetBranch("fTracks.fRandom");
   b_fTracks_fMass2 = fChain->GetBranch("fTracks.fMass2");
   b_fTracks_fBx = fChain->GetBranch("fTracks.fBx");
   b_fTracks_fBy = fChain->GetBranch("fTracks.fBy");
   b_fTracks_fMeanCharge = fChain->GetBranch("fTracks.fMeanCharge");
   b_fTracks_fXfirst = fChain->GetBranch("fTracks.fXfirst");
   b_fTracks_fXlast = fChain->GetBranch("fTracks.fXlast");
   b_fTracks_fYfirst = fChain->GetBranch("fTracks.fYfirst");
   b_fTracks_fYlast = fChain->GetBranch("fTracks.fYlast");
   b_fTracks_fZfirst = fChain->GetBranch("fTracks.fZfirst");
   b_fTracks_fZlast = fChain->GetBranch("fTracks.fZlast");
   b_fTracks_fCharge = fChain->GetBranch("fTracks.fCharge");
   b_fTracks_fVertex = fChain->GetBranch("fTracks.fVertex[3]");
   b_fTracks_fNpoint = fChain->GetBranch("fTracks.fNpoint");
   b_fTracks_fValid = fChain->GetBranch("fTracks.fValid");
   b_fMeasures = fChain->GetBranch("fMeasures[10]");
   b_fMatrix = fChain->GetBranch("fMatrix[4][4]");
   b_fClosestDistance = fChain->GetBranch("fClosestDistance");
   return kTRUE;
}

void T::Show(Int_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t T::Cut(Int_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef T_cxx

